Paul Kougi asked: "...I was wondering if it was possible to use bits downloading (with the BITS software pushed out) on an NT4 PC using the legacy client?..."


BITS is only supported on Windows 2000 and higher. There are two clients, the Legacy client (which uses RPC communication only) and is supported for use on all Windows platforms and the Advanced client which can only be used on Windows 2000 and higher clients. The Advanced client is the only one that can leverage BITS. BITS is part of the reason why Software Update Services and Windows Update Services will only support Windows 2000 and higher aswell.....because it uses BITS support.

So the answer is No. WIndows NT 4.0 (and Win98) cannot use BITS and thus the Advanced client. Thats what the Legacy client is still for, to support these platforms.

 

Though I did mention that BITS 2.0 was coming....here it is!